curl --request GET \
--url https://api.devhelm.io/api/v1/auth/me \
--header 'Authorization: Bearer <token>'{
"data": {
"key": {
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
},
"organization": {
"id": 123,
"name": "<string>"
},
"plan": {
"tier": "FREE",
"subscriptionStatus": "<string>",
"trialActive": true,
"trialExpiresAt": "2023-11-07T05:31:56Z",
"entitlements": {},
"usage": {}
},
"rateLimits": {
"requestsPerMinute": 123,
"remaining": 123,
"windowMs": 123
}
}
}Returns the authenticated API key’s metadata, organization, billing plan, entitlements with usage, and current rate-limit quota. Only available for API key authentication (Bearer dh_live_…).
curl --request GET \
--url https://api.devhelm.io/api/v1/auth/me \
--header 'Authorization: Bearer <token>'{
"data": {
"key": {
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z"
},
"organization": {
"id": 123,
"name": "<string>"
},
"plan": {
"tier": "FREE",
"subscriptionStatus": "<string>",
"trialActive": true,
"trialExpiresAt": "2023-11-07T05:31:56Z",
"entitlements": {},
"usage": {}
},
"rateLimits": {
"requestsPerMinute": 123,
"remaining": 123,
"windowMs": 123
}
}
}